Bug 1240085 - xmlcopyeditor: FTBFS in rawhide
Summary: xmlcopyeditor: FTBFS in rawhide
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmlcopyeditor
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:28 UTC by Dennis Gilmore
Modified: 2016-01-27 20:34 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-01-27 20:34:22 UTC


Attachments (Terms of Use)
build.log (690.33 KB, text/plain)
2015-07-05 21:28 UTC, Dennis Gilmore
no flags Details
root.log (102.44 KB, text/plain)
2015-07-05 21:28 UTC, Dennis Gilmore
no flags Details
state.log (657 bytes, text/plain)
2015-07-05 21:28 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2015-07-05 21:28:17 UTC
Your package xmlcopyeditor failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10160453

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:28:19 UTC
Created attachment 1048570 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:28:19 UTC
Created attachment 1048571 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:28:20 UTC
Created attachment 1048572 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:22:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Ralf Corsepius 2015-08-13 08:27:34 UTC
Adam, I noticed you upgraded and built xmlcopyeditor on rawhide.

AFAIS, you already have merged these changes into the fc23 branch in git, but haven't built the package/seem to have missed to build it.

Any particular reason for not building and pushing this version into fc23 such that this BZ can be closed?

Comment 6 Adam Williamson 2015-08-13 13:21:10 UTC
I was doing Boost 1.58 rebuilds. I don't *think* there was any reason for not building on F23, can't recall one. I'll send a build through now. Thanks for catching it!

Comment 7 Adam Williamson 2015-08-13 13:35:35 UTC
I've done the build now, but it built against Boost 1.58, and I'm not sure what the current plan is with landing Boost 1.58 builds for F23 - there was a giant update for a while but it seems to have disappeared.

Jonathan, do you know what's going on with that? Thanks!

Comment 8 Jonathan Wakely 2015-08-13 14:17:20 UTC
(In reply to Adam Williamson from comment #7)
> Jonathan, do you know what's going on with that? Thanks!

Basically I broke bodhi with the giant update, and it was a mess with some builds tagged in koji but not appearing in the bodhi update, and I was unable to edit the update any further to fix things, so I deleted it (it was FEDORA-2015-12882 but it's gone now).

I was getting help from rdieter to clean things up but he couldn't fix it either, see https://fedorahosted.org/rel-eng/ticket/6231

Your new xmlcopyeditor build should get added to one of the many smaller updates that I or rdieter or someone in releng will create ASAP.

Comment 9 Jonathan Wakely 2015-08-13 14:19:06 UTC
Aha, it looks like that process has started now, see Bug 1229030 comment 5

Comment 10 Fedora Admin XMLRPC Client 2016-01-27 17:40:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Adam Williamson 2016-01-27 20:34:22 UTC
well, it's still building in Rawhide. I don't think I care enough to figure out if we got an update for F23. let's assume we did.


Note You need to log in before you can comment on or make changes to this bug.